These users must act now

by -156 Views
These users must act now

Apple is also thinking of owners of older iPhones and iPads who actually no longer get regular updates. Somewhat surprisingly, they now also receive a security update for their devices. Users must act and install the software as soon as possible.

iPhone and iPad users: Security update for older iOS 12 is available

The development of iOS 12 actually ended three years ago, but since then Apple has released minor and major updates from time to time. However, only for owners of iPhones and iPads who can no longer update to a more current system. The following devices are affected:

  • iPhone 5S and iPhone 6/6 Plus
  • iPad Air, iPad Mini 2 and iPad Mini 3
  • iPod Touch (6th Generation)

For them there is now another important system update outside of the series, namely to iOS 12.5.6. The update closes a critical WebKit security gap that, in the worst case, could be used to completely take over the devices remotely and control them externally. Ergo: there is a need for action and users should import the update as quickly as possible using the usual methods. To do this, simply go to the settings of the iPhone and iPad, then to “General” and then to “Software update”.

If you want new functions, you have to update to iOS 16 in September – provided your own hardware is up and running:

Current devices from Apple already supplied

Incidentally, Apple’s current guard of iPhones and iPads as well as Macs had already been provided with the necessary security update a few days earlier. Found in the update to iOS 15.6.1, iPadOS 15.6.1 and macOS 12.5.1. One can expect that Apple will soon also provide such exclusive security updates for iOS 15 and iPadOS 15 in the future. After all, there are some devices (e.g. the iPhone SE, iPhone 6s and 6s Plus) that can no longer be updated to iOS 16.

Leave a Reply

Your email address will not be published.

No More Posts Available.

No more pages to load.